<?
define('ADMIN',true);
define('AJAX',true);
define('ROOT','../../..');
header('Content-Type: text/javascript; charset=utf-8');
require_once(ROOT.'/.config.php');
require_once(LIBS_PATH.'/system/sys_start.php');
require_once(LIBS_PATH.'/system/load_libs.php');
///////////////////////////
$X->STR->post_filter();
if($_POST['crc']!=md5('ajax:'.$_POST['col'].'@'.$_POST['table'].'=>'.$_POST['id'])) exit;


if($_POST['table']=='slider_anim') {
	$X->DB->query(' UPDATE _front_conf SET wartosc="'.$_POST['val'].'" WHERE klucz="slider_anim" ');
	exit;
}


switch($_POST['type']) {
	case 'checkbox':
	case 'select':
		$X->DB->q(' UPDATE '.$_POST['table'].' SET '.$_POST['col'].'="'.$_POST['val'].'" WHERE id="'.(int)$_POST['id'].'" LIMIT 1 ');

		$X->ADMIN->log_op(array('action'=>'ajax_checkbox', 'module_id'=>$_POST['module'], 'row_id'=>$_POST['id'], 'desc'=>$_POST['col'].'='.$_POST['val']));
	break;

	case 'radio':
		$X->DB->q(' UPDATE '.$_POST['table'].' SET '.$_POST['col'].'="0" WHERE 1 ');
		$X->DB->q(' UPDATE '.$_POST['table'].' SET '.$_POST['col'].'="'.$_POST['val'].'" WHERE id="'.(int)$_POST['id'].'" LIMIT 1 ');

		$X->ADMIN->log_op(array('action'=>'ajax_radio', 'module_id'=>$_POST['module'], 'row_id'=>$_POST['id'], 'desc'=>$_POST['col'].'='.$_POST['val']));
	break;

	case 'text':
		$X->DB->q(' UPDATE '.$_POST['table'].' SET '.$_POST['col'].'="'.$_POST['val'].'" WHERE id="'.(int)$_POST['id'].'" LIMIT 1 ');
		$X->ADMIN->log_op(array('action'=>'ajax_sort', 'module_id'=>$_POST['module'], 'row_id'=>$_POST['id'], 'desc'=>$_POST['col'].'='.$_POST['val']));
	break;
}
?>